Bug 615679 - [abrt] crash in func-0.25-2.fc12: base_command.py:50:getOverlord:AttributeError: Show instance has no attribute 'socket_timeout'
Summary: [abrt] crash in func-0.25-2.fc12: base_command.py:50:getOverlord:AttributeErr...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: func   
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b7e1bdac
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-17 22:46 UTC by Doncho Gunchev
Modified: 2014-01-21 23:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 17:42:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.31 KB, text/plain)
2010-07-17 22:46 UTC, Doncho Gunchev
no flags Details

Description Doncho Gunchev 2010-07-17 22:46:20 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/func *.sf.everbread.com show hardware
component: func
executable: /usr/bin/func
kernel: 2.6.33.6-147.fc13.x86_64
package: func-0.25-2.fc12
reason: base_command.py:50:getOverlord:AttributeError: Show instance has no attribute 'socket_timeout'
release: Fedora release 13 (Goddard)

backtrace
-----
base_command.py:50:getOverlord:AttributeError: Show instance has no attribute 'socket_timeout'

Traceback (most recent call last):
  File "/usr/bin/func", line 28, in <module>
    cli.parse(argv)
  File "/usr/lib/python2.6/site-packages/func/overlord/command.py", line 247, in parse
    return self.subCommands[command].parse(args[1:])
  File "/usr/lib/python2.6/site-packages/func/overlord/cmd_modules/show.py", line 44, in parse
    return base_command.BaseCommand.parse(self, argv)
  File "/usr/lib/python2.6/site-packages/func/overlord/command.py", line 247, in parse
    return self.subCommands[command].parse(args[1:])
  File "/usr/lib/python2.6/site-packages/func/overlord/cmd_modules/show_hardware.py", line 40, in parse
    return base_command.BaseCommand.parse(self,argv)
  File "/usr/lib/python2.6/site-packages/func/overlord/command.py", line 228, in parse
    ret = self.do(args)
  File "/usr/lib/python2.6/site-packages/func/overlord/cmd_modules/show_hardware.py", line 45, in do
    self.getOverlord()
  File "/usr/lib/python2.6/site-packages/func/overlord/base_command.py", line 50, in getOverlord
    timeout=self.parentCommand.socket_timeout)
AttributeError: Show instance has no attribute 'socket_timeout'

Local variables in innermost frame:
self: <func.overlord.cmd_modules.show_hardware.ShowHardware instance at 0x14117a0>

How to reproduce
-----
1. func '*' show hardware

Comment 1 Doncho Gunchev 2010-07-17 22:46:23 UTC
Created attachment 432646 [details]
File: backtrace

Comment 2 seth vidal 2010-07-26 17:42:16 UTC
fixed upstream.

thanks

Comment 3 Cristian Ciupitu 2011-03-13 19:01:40 UTC
Still happens in func-0.25-3.fc14.noarch.


Note You need to log in before you can comment on or make changes to this bug.